Rocket API Technical Specifications

Rocket API
Screen protocols Host platforms Data access support
IBM i
  • 5250

IBM Z

  • 3270

ICL Mainframe

  • 7560-IRSIS
  • ICL-Forms
  • DFP

MultiValue

  • VT100
  • ADDS Viewpoint

Unix/Linux, Open VMS, DEC VAX

  • VT (vt52, vt100, vt220, vt320, vt420)
  • Wyse (Wyse50/Wyse60)
  • Prism
  • ADDS Viewpoint
  • Qume QVT
  • Televideo TVI

HP/Tandem NonStop

  • 6530

Power Systems

  • IBM i OS/400)
  • Linux on Power
  • AIX

IBM Z

  • z/OS

MultiValue

HP/Tandem NonStop

  • NonStop OS

ICL Mainframe

  • VME

JDBC/ODBC DBMSs

IBM i data access

  • DB2
  • JTOpen
  • Native OS/400 functionality
Rocket API Builder
Operating System Hard Disk Space Memory Software
Windows 10, Windows 8, Windows 7(32-bit and 64-bit) 5 GB (minimum)  5 GB (minimum) The Workbench includes Eclipse 4.4.2

Note: You must have Java Runtime Environment (JRE) 1.7 (minimum) installed to run Eclipse
 

Rocket API gateways and API gateway host connectors: UNIX/Linux

Operating System Other requirements
AIX: Version
6.1 HP-UX IA (Intel): Version 11.31
HP-UX RISC: Version 11.23
Linux on x86 architecture
Recommended: Red Hat Enterprise 3.0
Oracle JVM 1.7.0 and later
IBM JVM 1.7.0 and later
IBM JVM 1.7.0 and later - see specifications above


Rocket API gateways and API gateway host connectors: IBM i

Operating System Software Other requirements
V6R1M0 (minimum), V7R1,V7R2: we recommend keeping current with IBM support level
Physical and virtual/Paas server environments supported (see Virtualizations and Cloud below)
Java 2: Oracle JVM supported versions
IBM JVM and JDK 1.7.0 and later
TCP/IP Services

 

Rocket API gateways and API gateway host connectors (5250, VT, 7561/Forms) Windows Version

Windows Versions Operating System Memory Hard Disk Space Software
 Windows 2012 R2 Server
Windows 2008 R2 (64-bit) Server System
2 GB RAM (minimum), 4 GB or more recommended 2 GB (minimum)

Java 2 - Oracle JVM-supported version

  • 1.7.0 in Rocket API
  • Gateway versions 2.1 and later IBM JVM 1.7